
#ifndef SDK_DL_H
#define SDK_DL_H

#include <typedefs.h>

#define KEY_0       0
#define KEY_1       1
#define KEY_2       2
#define KEY_3       3
#define KEY_4       4
#define KEY_5       5
#define KEY_6       6
#define KEY_7       7
#define KEY_8       8
#define KEY_9       9
#define KEY_STAR    10
#define KEY_POUND   11

#define KEY_RED     17
#define KEY_GREEN   18

#define KEY_MENU    20
#define KEY_SMART   21

#define KEY_VOLUP   23
#define KEY_VOLDOWN 24

#define KEY_UP      44
#define KEY_DOWN    45
#define KEY_LEFT    46
#define KEY_RIGHT   47

#define KEY_CAM     0x3F

UINT32 DL_AudPlayTone( UINT32 tone,  UINT8 volume ); //Current volume = 0xFF

				/*   -   */

/*   ,    EV_TIMER_EXPIRED, attachment    DL_TIMER_DATA_T */

typedef struct
{
	UINT32		time;
	UINT32		ID;
} DL_TIMER_DATA_T;

/*   ,    time  */
UINT32 APP_UtilStartTimer( UINT32 time,  UINT32 ID,  void *app ); // ID   DL_TIMER_DATA_T   

/*   ,      time  */
UINT32 APP_UtilStartCyclicalTimer( UINT32 time,  UINT32 ID,  void *app );

/*   */
UINT32 APP_UtilStopTimer( void *app );

///////////////////// Added by om2804 //////////////////////

/*    

	E398 ONLY! */
void HAPI_LP393X_disp_backlight_intensity( UINT32 light ); // light = 0..100

/*     
	type: 0-, 1-;
	val: 0xRGB (0x000 - 0xFFF),  0x00E - 

	E398 ONLY! */
void HAPI_LP393X_set_tri_color_led( UINT32 type,  UINT32 val );

/////////////////// Added by WhiteHotIce /////////////////////

/*   */
void HAPI_WATCHDOG_soft_reset( void );

/*   */
void pu_main_powerdown( void );

///////////////////// Added by G-XaD ///////////////////////

/*    seem_data count   seem,  record
	      count  ! */
UINT32 SEEM_FDI_OUTSIDE_SEEM_ACCESS_read( UINT32 seem,  UINT32 record,  void* seem_data,  UINT32 count );

/*    seem_data count    seem,  record
	  */
#define SEEM_WRITE_METHOD_ADD				0
#define SEEM_WRITE_METHOD_UPDATE			1
UINT32 SEEM_FDI_OUTSIDE_SEEM_ACCESS_write( UINT32 method,  UINT32 seem,  UINT32 record,  void* seem_data,  UINT32 count );
/*    format   (   MidWay)
	    */
void PFprintf( char* format, ... ); // %d %x %s, a-la printf


/*  (funlight)   fl_id
	         p2 = 3,
	         (  ...) 

	 E398 ONLY! */
UINT32 DL_AudStartFunlight( UINT8 fl_id,  UINT32 p2,  UINT32 p3 ); // p2 = 1, p3 = 0

/*  (funlight)   fl_id 

	E398 ONLY! */
UINT32 DL_AudStopFunlight( UINT8 fl_id );

/*   */
void DAL_DisableDisplay( UINT32 p1 ); // p1 = 0

/*   */
void DAL_EnableDisplay( UINT32 p1 ); // p1 = 0

#endif